<?php
require '../bootstrap.php';
$conectDB = connectDB();
$conectDB->exec("set names utf8mb4");

$dataCadastro = date("Y-m-d H:i:s");

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

		if(empty($_POST['userEmail'])){
			echo messageJson('erro', 'Informe seu e-mail, é obrigatório');exit;
		}
		else
		{
			if (filter_var($_POST['userEmail'], FILTER_VALIDATE_EMAIL)) {}else
			{
				echo messageJson('erro', 'O e-mail informado é inválido, informe um e-mail válido');exit;
			}
		}
		if(empty($_POST['userPwd'])){
			echo messageJson('erro', 'Informe sua senha, é obrigatório');exit;
		}

			$userEmail    = stringInputCleaner($_POST['userEmail']);
			$userPwd      = stringInputCleaner($_POST['userPwd']);

			//Check if user email exists in database
			$sqlLogin = "
				select
					usuario.id,  usuario.pwd,
					usuario.code, usuario.ativo, usuario.nome, usuario.email, usuario.foto, usuario.cadastro,
					site.id as siteID
				from
					usuario,
					site
				WHERE
					usuario.email = '".$userEmail."' and
					site.usuario_id = usuario.id
			";
			//echo $sqlLogin;
			$searchUser  = query($conectDB, 'assoc',  $sqlLogin);
		

			if($searchUser !== 'error'){
			 	if(empty($searchUser[0]['id']))
				{
					echo messageJson('erro', 'Não existe um cadastro com este endereço de e-mail');exit;
				}
				else
				{
					if( (int)$searchUser[0]['ativo']==2)
					{
						echo messageJson('erro', 'Seu cadastro está em processo de remoção de dados, impossível continuar');exit;
					}
						if( (int)$searchUser[0]['ativo']==3){
							echo messageJson('erro', 'Seu cadastro está desativado, entre em contato com os administradores da Localiza profs');exit;
						}
							if( (int)$searchUser[0]['ativo']==0){
								echo messageJson('erro', 'Não é possível realizar o login com este e-mail, por favor, use outro e-mail');exit;
							}


					if(password_verify($userPwd, $searchUser[0]['pwd'])){
		            	$_SESSION['userLogged'] = true;
		            	$_SESSION['userID']		= $searchUser[0]['id'];
		            	$_SESSION['userCode']	= $searchUser[0]['code'];
		            	$_SESSION['userName']	= $searchUser[0]['nome'];
		            	$_SESSION['userEmail']	= $searchUser[0]['email'];
		            	$_SESSION['userFoto']	= $searchUser[0]['foto'];
		            	$_SESSION['userCadastro']	= $searchUser[0]['cadastro'];
						
							$_SESSION['siteID']		= $searchUser[0]['siteID'];
						
		            	$redireciona = 'dashboard';
		                echo messageJson('sucesso', 'Login realizado com sucesso, por favor, aguarde...', 'redirectToUrl', $redireciona);
		            }
		            else
		            {
		            	echo messageJson('erro', 'A senha informada está incorreta, tente novamente');exit;
		            }
		        }
			}

}